package com.pcloud.book.mq.producer;

import com.pcloud.book.book.dto.BookCoverImgUpdateDTO;
import com.pcloud.book.book.dto.BookNameUpdateDTO;
import com.pcloud.book.clock.dto.PushBookClockKeywordDTO;

public interface BookMQProducer {

  void sendUpdateBookCoverImgTopic(BookCoverImgUpdateDTO bookCoverImgUpdateDTO);

  void sendUpdateBookNameTopic(BookNameUpdateDTO bookNameUpdateDTO);

  void pushBookClockKeyword(PushBookClockKeywordDTO pushBookClockKeywordDTO);
}
